%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-pelican
Version:        3.1.1
Release:        2%{?dist}
Summary:        Generate static sites from reStructuredText or Markdown documents

License:        AGPLv3
URL:            http://getpelican.com/
Source0:        https://github.com/getpelican/pelican/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-jinja2, python-docutils, python-pygments
BuildRequires:  python-markdown2, python-unidecode, python-blinker
BuildRequires:  pytz, python-feedgenerator

Requires:       python-jinja2, python-docutils, python-pygments
Requires:       python-markdown2, python-unidecode, python-blinker
Requires:       pytz, python-feedgenerator

%description
A tool to generate a static blog from reStructuredText or Markdown input files.


%prep
%setup -q -n pelican-%{version}


%build
%{__python} setup.py build
pushd docs
make man html
popd


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 docs/_build/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%doc README.rst THANKS LICENSE dev_requirements.txt docs/_build/html
%{python_sitelib}/pelican/
%{python_sitelib}/*.egg-info
%{_bindir}/pelican*
%{_mandir}/*/*


%changelog
* Wed Jan 30 2013 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.1.1-2
- Build docs and install manpages.

* Mon Jan 28 2013 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.1.1-1
- Initial packaging
